export enum EAction {
  LOGIN = 'LOGIN',
  LOGOUT = 'LOGOUT',
  ON_LOADING = 'ON_LOADING',
  OFF_LOADING = 'OFF_LOADING',
  TOGGLE_MODAL = 'TOGGLE_MODAL',
  INIT_CONTRACT = 'INIT_CONTRACT',
  INIT_CONTRACT_ORACLE = 'INIT_CONTRACT_ORACLE',
  INIT_WALLET = 'INIT_WALLET',
  INIT_NEAR = 'INIT_NEAR',
  INIT_USER_BALANCE = 'INIT_USER_BALANCE',
  INIT_USER_STATISTIC = 'INIT_USER_STATISTIC',
  INIT_PAGING_HISTORY = 'INIT_PAGING_HISTORY',
  SET_LOTTERY_INFO_USER = 'SET_LOTTERY_INFO_USER',
  SET_CURRENT_LOTTERY_ID = 'SET_CURRENT_LOTTERY_ID',
  OPEN_MODAL = 'OPEN_MODAL',
}

export enum EModal {
  BUY_TICKET = 'BUY_TICKET',
  SHOW_TICKET = 'SHOW_TICKET',
  DETAIL = 'DETAIL',
  NONE = 'NONE',
  CLAIM = 'CLAIM',
  REQUIRE_LOGIN = 'REQUIRE_LOGIN',
  REQUIRE_REGISTER = 'REQUIRE_REGISTER',
}

// 0: UNDETERMINED
// 1: Claimed
// 2: Claimable
// 3: Lose
export enum ELotteryStatus {
  UNDETERMINED = 0,
  CLAIMED = 1,
  CLAIMABLE = 2,
  LOSE = 3,
}

export enum EBreakPoint {
  MOBILE = 768,
}
